#include "layers/ui_layer/ui_layer.hpp"
#include "layers/ui_layer_double/ui_layer_double.hpp"

namespace example
{
  class app : public VE::application
  {
    public:
      app(std::string app_name) : VE::application{ app_name } {};
      ~app() = default;
  };
}

auto main(int argc, char* args[]) -> int
{
  example::app app{ "vertex_engine_sandbox" };

  app.push_layer(
    new example::ui_layer{},
    new example::ui_layer_double{}
  );
  app.run();
}
